Zum Hauptinhalt springen

Direct Integration


Overview​

Welcome to FLIZ! This guide will help you integrate FLIZ into your app to securely accept and process payments. FLIZ handles everything within an easy-to-use in-app webview, creating a seamless payment experience for your users.

Here's a video of how our webview looks within the app of one of our clients:

Step 1: Get Your API Key​

  1. Sign up on the FLIZ app.
  2. Go to Installations → App SDK.
  3. Generate and copy your API Key.

⚠️ Important: Securely store your API Key for authentication purposes.

Step 2: Set up your webhook​

Add your callback URL in FLIZ app under the webhook section, and copy and save the one-time Webhook Secret. If you want to learn more about how we use webhooks go to our Webhooks guide.

Step 3: Authenticate Your App​

Authenticate your app to receive a JWT token necessary for secure transactions. Please review our Authentication guide to learn more about how to authenticate with Fliz.

Step 4: Add a Transaction​

Create a transaction by making a POST request to the FLIZ API, you will use the jwt from the authentication step in the header. The response will be a redirect-url with all the transaction information which you can then open in a webview.

Request​

POST https://api.flizpay.de/transactions

Request Body Parameters​

ParameterTypeDescriptionRequired
amountIntThe transaction amount✅
currencyStringThe currency code (use 'EUR')✅
sourceStringIntegration source identifier (use 'sdk_integration')✅
metadataObjectCustom key-value pairs (e.g. user IDs) to enrich or track a transaction❌

Required Header​

Authentication: Bearer YOUR_JWT_HERE

Example Request​

curl --request POST \
--url https://api.flizpay.de/transactions \
--header 'Authentication: Bearer YOUR_JWT_HERE' \
--header 'Content-Type: application/json' \
--data '{
"Amount": 1000,
"Currency": "EUR",
"source": "sdk_integration",
"metadata": { "internalCustomerId": "customer_10456" }
}'

Example Response​

{
"redirectUrl": "https://secure.flizpay.de?token=stpdlkzgxtpyfuzm"
}

Step 5: Open the url in a Webview​

After receiving the redirectUrl from Step 4, append the following query parameters:

  • jwt: Your JWT token from the authentication step
  • redirect-url: Your app's custom URL scheme

Final URL Example:

https://secure.flizpay.de?token=stpdlkzgxtpyfuzm&jwt=YOUR_JWT_HERE&redirect-url=myapp://

Open this final URL in a webview inside your app and Fliz will handle the rest.